Job (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm.twopc.executor
Class Job

    java.lang.Object
      bitronix.tm.twopc.executor.Job

All Implemented Interfaces:
  Runnable

    public abstract class Job

extends Object
implements Runnable

Abstract job definition executable by the 2PC thread pools.

Author:
  lorban

Field Summary
`protected RuntimeException` | `runtimeException`
`protected XAException` | `xaException`

Constructor Summary
`Job(XAResourceHolderState resourceHolder)`

Method Summary
`protected abstract void` | `execute()`
`Object` | `getFuture()`
`XAResourceHolderState` | `getResource()`
`RuntimeException` | `getRuntimeException()`
`XAException` | `getXAException()`
`void` | `run()`
`void` | `setFuture(Object future)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xaException

    protected volatile XAException xaException

### runtimeException

    protected volatile RuntimeException runtimeException

Constructor Detail

### Job

    public Job(XAResourceHolderState resourceHolder)

Method Detail

### getResource

    public XAResourceHolderState getResource()

### getXAException

    public XAException getXAException()

### getRuntimeException

    public RuntimeException getRuntimeException()

### setFuture

    public void setFuture(Object future)

### getFuture

    public Object getFuture()

### run

    public final void run()

  Specified by:
    `run` in interface `Runnable`

### execute

    protected abstract void execute()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.